AUDIOSTREAM(3)

NAME
AUDIOSTREAM - Stores an audiostream. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

typedef struct AUDIOSTREAM

DESCRIPTION
   int voice;  - the hardware voice used for the sample

A structure holding an audiostream, which is a convenience wrapper around a SAMPLE structure to double buffer sounds too big to fit into memory, or do clever things like generating the sound wave real time. While you shouldn't modify directly the value of the voice, you can use all of the voice functions in chapter "Digital sample routines" to modify the properties of the sound, like the frequency.

SEE ALSO
play_audio_stream(3), exstream(3)